function Kill(target)
	if target.Status < Actor.DYING then
		target.Status = Actor.DYING;
	end
end
function Confuse(target)
	local cont = target:GetController();
	for i = 1, 40 do
		cont:SetState(i, not cont:IsState(i));
	end
end
function Paralyze(target)
	target.Status = Actor.INACTIVE;
end
function Weaken(target)
	local part = target;
	local multiplier = 1.1;
	while true do
		local found = false;
		for att in part.Attachables do
			if not att:NumberValueExists("Weaken") then
				att:SetNumberValue("Weaken", 1);
				found = true;
				att.DamageMultiplier = att.DamageMultiplier * multiplier;
				part = att;
			end
		end
		if not found and part:GetParent() then
			part = part:GetParent();
		end
	end
end