function Create(self)
	self.strength = 50;	--Variable
end
function Update(self)

	local vec = Vector(self.strength * self.FlipFactor, 0):RadRotate(self.RotAngle);
	local area = self.MuzzlePos + vec;

	if self:IsActivated() then
	
		local parent = MovableMan:GetMOFromID(self.RootID);
		if parent and IsActor(parent) then
			parent = ToActor(parent);
		end
		
		local coll = {MovableMan.Actors, MovableMan.Items, MovableMan.Particles};
		for i = 1, #coll do
			for mo in coll[i] do

				if mo and mo.ToDelete ~= true and mo.PinStrength <= 0 and not (IsActor(mo) and ToActor(mo).ID == parent.ID) then
			
					local dist = SceneMan:ShortestDistance(area, mo.Pos, SceneMan.SceneWrapsX);
					if dist.Magnitude < self.strength then

						local moMass = math.sqrt(math.abs(mo.Mass));
						local push = SceneMan:ShortestDistance(self.MuzzlePos, mo.Pos, SceneMan.SceneWrapsX);
						mo.Vel = mo.Vel * 0.99 + push:SetMagnitude(2 * self.strength/(moMass + push.Magnitude + 1));
					end
				end
			end
		end
	end
end