function Create(self)
	self.bomb = CreateAEmitter("Particle Ronin RPG-7");
	
	local glow = CreateMOPixel("Glow Yellow Huge");
	glow.Pos = self.Pos + (self.Vel * rte.PxTravelledPerFrame) * 0.5;
	MovableMan:AddParticle(glow);

	self.lastPos = Vector(self.Pos.X, self.Pos.Y);
	self.lastVel = Vector(self.Vel.X, self.Vel.Y);
	self.lastTeam = self.Team;

	self.firstPos = Vector(self.Pos.X, self.Pos.Y);

	self.bomb.Pos = Vector(self.firstPos.X, -50);
	self.lastTeam = self.Team;
end

function Update(self)

	if self.Vel.Magnitude < 50 then
		self.ToDelete = true;
	else
		local glow = CreateMOPixel("Glow Yellow Huge");
		glow.Pos = self.Pos + (self.Vel * rte.PxTravelledPerFrame) * 0.5;
		MovableMan:AddParticle(glow);
	
		self.lastPos = Vector(self.Pos.X, self.Pos.Y);
		self.lastVel = Vector(self.Vel.X, self.Vel.Y);
	end
end

function Destroy(self)

	local trace = SceneMan:ShortestDistance(Vector(self.lastPos.X, self.lastPos.Y), self.bomb.Pos, SceneMan.SceneWrapsX);
	local skyCheck = SceneMan:CastStrengthRay(Vector(self.lastPos.X, self.lastPos.Y), trace, 20, Vector(), 3, rte.airID, SceneMan.SceneWrapsX);

	if not(skyCheck) and self.lastPos.Y > 0 then

		self.bomb.Pos = Vector(self.firstPos.X - SceneMan.GlobalAcc.X, -100 - SceneMan.GlobalAcc.Y);
		self.bomb.RotAngle = Vector(-trace.X, -trace.Y).AbsRadAngle;
		self.bomb.Vel = Vector(-trace.X, -trace.Y):SetMagnitude(50);

		self.bomb.Team = self.lastTeam;
		self.bomb.IgnoresTeamHits = true;
		self.bomb.GetsHitByMOs = false;
		
		self.bomb:SetRecoil(Vector(), Vector(), true);
		MovableMan:AddParticle(self.bomb);
	end
end