--by Shook
function DrawThiccLine(startPos, endPos, thiccness, color, wobble)
	local dist = SceneMan:ShortestDistance(startPos, endPos, true);
	local dirVector = Vector(dist.X, dist.Y):SetMagnitude((thiccness-1)/2):Perpendicularize();
	local pos1 = startPos + dirVector + Vector(RangeRand(-1, 1), RangeRand(-1, 1)) * wobble;
	local pos2 = startPos - dirVector + Vector(RangeRand(-1, 1), RangeRand(-1, 1)) * wobble;
	local pos3 = endPos + dirVector + Vector(RangeRand(-1, 1), RangeRand(-1, 1)) * wobble;
	local pos4 = endPos - dirVector + Vector(RangeRand(-1, 1), RangeRand(-1, 1)) * wobble;
	
	PrimitiveMan:DrawTriangleFillPrimitive(pos1, pos2, pos3, color);
	PrimitiveMan:DrawTriangleFillPrimitive(pos3, pos4, pos2, color);
end