function Update(self)
	local parent = self:GetRootParent();
	if IsActor(parent) then
		parent = ToActor(parent);

		if self.FiredFrame then
			local pos = math.random(14);
			self.SupportOffset = Vector(1 - pos * 0.3, -8 - pos);
		end
	end
	if (self.Vel.Magnitude + math.abs(self.AngularVel)) > 20 then
		self.HitsMOs = true;
		self.DamageOnCollision = 1;
	else
		self.HitsMOs = false;
		self.DamageOnCollision = 0;
	end
	if self.WoundCount > self.GibWoundLimit * 0.5 then
		if self:GetParent() then
			self:GetParent():RemoveAttachable(self, true, true);
		end
		self.HUDVisible = false;
		self.ToSettle = true;
	end
end