function Create(self)
	self.maxCharge = 100;
	self.chargeCounter = self.maxCharge;
	self.chargesPerSecond = self.RateOfFire * 0.1;
	self.chargeTimer = Timer();
end
function Update(self)
	if self.FiredFrame then
		local twoPi = math.pi * 2;
		for i = 1, self.chargeCounter do
			local px = CreateMOPixel("Nut", "4zK.rte");
			px.Pos = self.MuzzlePos;
			px.Vel = Vector((math.random(self.chargeCounter) + self.chargeCounter) * self.FlipFactor, 0):RadRotate(self.RotAngle) + Vector(math.random(), 0):RadRotate(twoPi * math.random());
			px.Lifetime = px.Lifetime * RangeRand(0.5, 1.0);
			px.Team = self.Team;
			px.IgnoresTeamHits = true;
			MovableMan:AddParticle(px);
			
			local part = CreateMOSParticle("Nut", "4zK.rte");
			part.Pos = self.MuzzlePos;
			part.Vel = Vector((math.random(self.chargeCounter) + self.chargeCounter) * self.FlipFactor, 0):RadRotate(self.RotAngle) + Vector(math.random(), 0):RadRotate(twoPi * math.random());
			part.Lifetime = part.Lifetime * RangeRand(0.5, 1.0);
			part.Team = self.Team;
			part.IgnoresTeamHits = true;
			MovableMan:AddParticle(part);
		end
		self.chargeCounter = 1;
	else
		if self.chargeCounter <= self.maxCharge then
			self.chargeCounter = math.min(self.chargeCounter + ((self.chargeTimer.ElapsedSimTimeMS * 0.001) * self.chargesPerSecond), self.maxCharge);
			self.chargeTimer:Reset();
		end
	end
	if self.Magazine then
		self.Magazine.RoundCount = self.chargeCounter;
		self.Magazine.Scale = 0.6 + (self.chargeCounter/self.maxCharge) * 0.4;
	end
end