function Create(self)
	self.confirmSound = CreateSoundContainer("Confirm", "Base.rte");
	self.errorSound = CreateSoundContainer("Error", "Base.rte");
end
function Update(self)
	if self.FiredFrame then
		local parent = self:GetRootParent();
		if parent and (IsAHuman(parent) or IsACrab(parent)) then
			parent = IsAHuman(parent) and ToAHuman(parent) or ToACrab(parent);
			local offset = Vector(-ToMOSprite(parent):GetSpriteWidth() * 0.4, ToMOSprite(parent):GetSpriteHeight() * 0.0);
			if parent.Jetpack then
				offset = parent.Jetpack.ParentOffset;
				parent:RemoveAttachable(parent.Jetpack, false, false);
			end
			parent.JetTimeTotal = parent.JetTimeTotal == 0 and 1000 or parent.JetTimeTotal;
			parent.Jetpack = CreateAEmitter(self.PresetName);
			parent.Jetpack.ParentOffset = offset;

			parent:FlashWhite(50);
			self.confirmSound:Play(self.Pos);

			self.ToDelete = true;
		else
			self.errorSound:Play(self.Pos);
		end
	end
end