function Create(self)
	self.smokesCount = 8;
end
function Update(self)
	if self.smokesCount > 0 then
		if self.Magazine then
			self.Magazine.RoundCount = self.smokesCount;
		end
		local parent = self:GetRootParent();
		if IsAHuman(parent) then
			parent = ToAHuman(parent);
			parent:GetController():SetState(Controller.AIM_SHARP, false);
			if self.FiredFrame then
				self.smokesCount = self.smokesCount - 1;
				parent:AddInventoryItem(CreateHDFirearm("Cigarette"));
				parent:GetController():SetState(Controller.WEAPON_CHANGE_PREV, true);
			end
		end
	else
		local parent = self:GetParent();
		if parent then
			parent:RemoveAttachable(self, true, true);
		end
		self.Pickupable = false;
		self.HUDVisible = false;
		
		self.settleTimer = Timer();
	end
	if self.settleTimer then
		if math.abs(self.AngularVel) + self.Vel.Magnitude > 5 then
			self.settleTimer:Reset();
		elseif self.settleTimer:IsPastSimMS(1000) then
			self.ToSettle = true;
			if self.settleTimer:IsPastSimMS(2000) then
				self:GibThis();
			end
		end
	end
end