function Create(self)
	self.spray = {};
end
function Update(self)
	if self.FiredFrame then

		local inTerrain = SceneMan:GetTerrMatter(self.MuzzlePos.X, self.MuzzlePos.Y) ~= rte.airID;
		local particleCount = 3;
		local randAngle = math.pi * math.random()
		for i = 1, particleCount do
			local vector = Vector(30 * self.FlipFactor, 0) + Vector(math.random() * self.ParticleSpreadRange, 0):RadRotate(randAngle + math.pi * 2 * i/particleCount);
			local spray = CreateMOPixel("Concrete Spray " .. math.random(13), "4zK.rte");
			spray.Pos = self.MuzzlePos;
			spray.Vel = self.Vel + Vector(vector.X, vector.Y):RadRotate(self.RotAngle);
			spray.Team = self.Team;
			spray.IgnoresTeamHits = true;
			spray.AirResistance = spray.AirResistance * RangeRand(0.8, 1.0);
			spray.GlobalAccScalar = spray.GlobalAccScalar * RangeRand(1.0, 1.2);
			MovableMan:AddParticle(spray);
			table.insert(self.spray, spray);
		end
	end
	for i = 1, #self.spray do
		local part = self.spray[i];
		if MovableMan:ValidMO(part) then
			if part.Age > part.Lifetime * 0.5 then
				part.ToSettle = true;
			end
		else
			self.spray[i] = nil;
		end
	end
end