function Create(self)
	self.maxSearchRange = math.sqrt(FrameMan.PlayerScreenWidth^2 + FrameMan.PlayerScreenHeight^2);
	self.targetID = rte.NoMOID;
end
function Update(self)
	local color = math.random(255);
	self.Color = color;
	self.TrailColor = color;
	if self.FiredFrame then
		local actor = self:GetRootParent();
		if IsActor(actor) then
			actor = ToActor(actor);
			--[[
			local dist = SceneMan:ShortestDistance(self.MuzzlePos, actor.ViewPoint, SceneMan.SceneWrapsX);
			local searchRadius = math.min(dist.Magnitude, self.maxSearchRange);
			local searchPos = actor.ViewPoint;
			]]--
			local searchPos = self.MuzzlePos + Vector(self.maxSearchRange * 0.5 * self.FlipFactor, 0):RadRotate(self.RotAngle);
			
			local targetActor = MovableMan:GetClosestEnemyActor(self.Team, searchPos, self.maxSearchRange, Vector());
			self.targetID = targetActor and targetActor.ID or rte.NoMOID;
		else
			self.targetID = rte.NoMOID;
		end
		local bullet = CreateMOPixel("Magic Bullet", "4zK.rte");
		bullet.Pos = self.MuzzlePos;
		bullet.Team = self.Team;
		bullet.Vel = Vector(100 * self.FlipFactor, 0):RadRotate(self.RotAngle);
		bullet.IgnoresTeamHits = true;
		bullet.PinStrength = self.targetID;
		MovableMan:AddParticle(bullet);
	end
end