function Create(self)
	self.trailPar = CreateMOPixel("Nano Blaster Trail Glow", "4zK.rte");
	self.trailPar.Pos = self.Pos;
	self.trailPar.Vel = self.Vel * 0.1;
	self.trailPar.Lifetime = 60;
	MovableMan:AddParticle(self.trailPar);

	self.endPar = CreateMOPixel("Nanonade Explosion", "4zK.rte");
end
function Update(self)
	if not self.ToDelete and self.trailPar and MovableMan:IsParticle(self.trailPar) then
		self.trailPar.Pos = self.Pos - Vector(self.PrevVel.X, self.PrevVel.Y):SetMagnitude(math.min(self.PrevVel.Magnitude * rte.PxTravelledPerFrame, self.TrailLength) * 0.5);
		self.trailPar.Vel = self.PrevVel * 0.5;
		self.trailPar.Lifetime = self.Age + TimerMan.DeltaTimeMS;
	end
end
function OnCollideWithMO(self, mo, rootMO)
	if self.endPar then
		local hitPos = Vector(self.PrevPos.X, self.PrevPos.Y);
		local ray = SceneMan:CastObstacleRay(self.PrevPos, self.PrevVel * 0.5, Vector(), hitPos, rte.NoMOID, self.Team, rte.airID, 1);
		
		self.Pos = hitPos;
		self.endPar.Pos = self.Pos;
		self.endPar.Vel = Vector(self.PrevVel.X, self.PrevVel.Y):SetMagnitude(10);
		MovableMan:AddParticle(self.endPar);
		self.endPar = nil;
	end
		
	self.ToDelete = true;
end
function OnCollideWithTerrain(self, mo)
	if self.endPar then
		local hitPos = Vector(self.PrevPos.X, self.PrevPos.Y);
		local ray = SceneMan:CastObstacleRay(self.PrevPos, self.PrevVel * 0.5, Vector(), hitPos, rte.NoMOID, self.Team, rte.airID, 1);
		
		self.Pos = hitPos;
		self.endPar.Pos = self.Pos;
		self.endPar.Vel = Vector(self.PrevVel.X, self.PrevVel.Y):SetMagnitude(10);
		MovableMan:AddParticle(self.endPar);
		self.endPar = nil;
	end
		
	self.ToDelete = true;
end