function Create(self)
	local moCheck = SceneMan:GetMOIDPixel(self.Pos.X, self.Pos.Y);
	if moCheck ~= rte.NoMOID then
		local mo = ToMOSRotating(MovableMan:GetMOFromID(moCheck):GetRootParent());
		if mo and IsActor(mo) and mo.Team == self.Team and not mo.MissionCritical then
			if mo:NumberValueExists("DeleteThis") then
				mo.ToDelete = true;
			else
				ToActor(self.target):FlashWhite(50);
				FrameMan:SetScreenText("Delete " .. self.target.PresetName .. "?", -1, 500, 5000, true);
				self.target:SetNumberValue("DeleteThis", 1);
			end
		end
	end
	if self.target == nil then
		self.ToDelete = true;
	end
end
function Destroy(self)
	if self.target and MovableMan:ValidMO(self.target) then
		self.target:RemoveNumberValue("DeleteThis");
	end
end