	
	local controller = self:GetController();
	if controller:IsState(Controller.WEAPON_CHANGE_NEXT) then
		controller:SetState(Controller.WEAPON_CHANGE_NEXT, false);
		if not self.weaponSwitched then
			
			for attachable in self.Attachables do
				if attachable.ClassName == "HDFirearm" then
					local item = ToHDFirearm(attachable):Clone();
					--item:GetParent():RemoveAttachable(item, true, false);
					item.InheritedRotAngleOffset = 0;
					--self.FGArm:AddAttachable(item);
					self:AddInventoryItem(item);
					attachable.ToDelete = true;
					self.weaponSwitched = true;
					break;
				end
			end
			if not self.weaponSwitched and self.EquippedItem then
				local item = ToAttachable(self.EquippedItem):Clone();
				--item:GetParent():RemoveAttachable(item, true, false);
				item.InheritedRotAngleOffset = math.pi * 0.5;
				self:AddAttachable(item);
				self.EquippedItem.ToDelete = true;
			end
			self.weaponSwitched = true;
		end
	else
		self.weaponSwitched = false;
	end