function Create(self)
	local parent = self:GetParent();
	if parent then
		self.ParentOffset = Vector(-parent:GetSpriteWidth() * 0.5, -parent:GetSpriteHeight() * 0.5);
	end
end
function OnAttach(self, parent)
	self.ParentOffset = Vector(-parent:GetSpriteWidth() * 0.5, -parent:GetSpriteHeight() * 0.5);
	print("attach");
end
function Update(self)
	local parent = self:GetParent();
	if parent and IsActor(parent) then
		parent = ToActor(parent);
		local maxMass = parent.MaxInventoryMass > 0 and parent.MaxInventoryMass or parent.IndividualMass + 40;
		local weightRatio = math.min(parent.InventoryMass/maxMass, 1);
		
		--Scale variant (use a large sprite)
		self.Scale = weightRatio;
		
		--Frame variant (use multiple frames, from smallest to largest)
		--self.Frame = math.floor(self.FrameCount * weightRatio + 0.5);
	--else
	--	self:GibThis();
	end
end