
function Create(self)

	self.parent = nil;

	actor = MovableMan:GetMOFromID(self.RootID)
	if actor and IsActor(actor) then
		self.parent = ToActor(actor)
	end
	self.delayTimer = Timer();

	self.delayTime = 100;	-- delay time before prox sensor starts (avoid lag?)

	self.pointCount = 40;	-- number of points in the spiral
	self.spiralScale = 4;	-- spiral scale in... px?
	self.skipPoints = 4;	-- skips the first x points

	self.hoverDist = 10;	-- maybe you can do something with this? idk

				-- thanks to CC48 for these

	self.negNum = 0;
	self.rot = 0;
	self.speed = 10;
end

function Update(self)

	if self.parent and
	not ToActor(self.parent):IsDead() then

		if self:GetController():IsState(Controller.BODY_CROUCH) then
			self.speed = 15;
		else
			self.speed = 10;
		end

		local rot = 0;

		if self.parent:GetController():IsState(Controller.MOVE_RIGHT) and
		not self.parent:GetController():IsState(Controller.MOVE_LEFT) then

			self.rot = self.rot + 0.1;
		else
			self.rot = self.rot - 0.1;
		end

		if self.delayTimer:IsPastSimMS(self.delayTime) then

			for i = self.skipPoints, self.pointCount - 1 do

				local radius = self.spiralScale*math.sqrt(i);
				local angle = i * 137.508;
				local checkPos = self.Pos + Vector(radius,0):DegRotate(angle);

				if SceneMan.SceneWrapsX == true then
					if checkPos.X > SceneMan.SceneWidth then
						checkPos = Vector(checkPos.X - SceneMan.SceneWidth,checkPos.Y);
					elseif checkPos.X < 0 then
						checkPos = Vector(SceneMan.SceneWidth + checkPos.X,checkPos.Y);
					end
				end

				local gfx = CreateMOPixel("red_dot_test");
				gfx.Pos = Vector(checkPos.X,checkPos.Y);
				MovableMan:AddParticle(gfx);

				local terrCheck = SceneMan:GetTerrMatter(checkPos.X,checkPos.Y);
				if terrCheck ~= 0 then

					--break;
				end
			end
		end
		self.RotAngle = self.rot;
	else
		actor = MovableMan:GetMOFromID(self.RootID)
		if actor and IsActor(actor) then
			self.parent = ToActor(actor)
		end
]]--
	end
end
