function Update(self)
	if self.lastGrenade and MovableMan:ValidMO(self.lastGrenade) then
		for item in self.Inventory do
			if item.PresetName == self.lastGrenade.PresetName and IsThrownDevice(item) then
				local newGrenade = ToThrownDevice(item:Clone());
				newGrenade.Pos = self.lastGrenade.Pos - self.lastGrenade.Vel * rte.PxTravelledPerFrame;
				newGrenade.Vel = Vector(self.lastGrenade.Vel.X, self.lastGrenade.Vel.Y):SetMagnitude(math.min(self.lastGrenade.Vel.Magnitude, newGrenade.MaxThrowVel)):RadRotate(self.AngularVel * math.random() + RangeRand(-0.1, 0.1));
				MovableMan:AddItem(newGrenade);
				self:RemoveInventoryItem(newGrenade.PresetName);
			end
		end
	end
	self.lastGrenade = (self.EquippedItem and IsTDExplosive(self.EquippedItem)) and ToTDExplosive(self.EquippedItem) or nil;
end