function OnPieMenu(self)
	if self.EquippedItem == nil or IsThrownDevice(self.EquippedItem) then
		ToGameActivity(ActivityMan:GetActivity()):RemovePieMenuSlice("Throw This", "ThrowHeldDevice");
	end
end
function ThrowHeldDevice(actor)
	if actor and IsAHuman(actor) then
		actor = ToAHuman(actor)
		if actor.EquippedItem and IsHeldDevice(actor.EquippedItem) and not IsThrownDevice(actor.EquippedItem) then
			local td = CreateThrownDevice("ThrownHeldDevice", "4zK.rte");
			local hd = ToHeldDevice(actor.EquippedItem):Clone();
			td.StanceOffset = hd.StanceOffset;
			td.SharpStanceOffset = hd.SharpStanceOffset;
			hd.ParentOffset = Vector();
			td:AddAttachable(hd);
			td.PresetName = "Thrown " .. hd.PresetName;
			actor:AddInventoryItem(td);
			actor:EquipNamedDevice(td.PresetName, true);
			return;
		end
	end
end