
function Create(self)

	self.origSharpLength = ToHDFirearm(self).SharpLength;
	self.origRateOfFire = ToHDFirearm(self).RateOfFire;

	self.reloadTimer = Timer();
	self.loadedShell = false;
	self.reloadCycle = false;

	self.reloadDelay = 200;

	if self.Magazine then
		self.ammoCounter = self.Magazine.RoundCount;
	else
		self.ammoCounter = 0;
	end
end

function Update(self)

	local owner = self:GetRootParent();
	if owner.ClassName == "AHuman" and owner.PresetName == "White Death" then
		owner = ToActor(owner);
		local controller = owner:GetController();
		if not owner.HUDVisible and owner:IsPlayerControlled() and owner.SharpAimProgress > 0.1 then
			local spread = (math.rad(self.SharpShakeRange) * owner.SharpAimProgress + math.rad(self.ShakeRange) * (1 - owner.SharpAimProgress)) * (self.SharpLength * owner.SharpAimProgress) + 1;
			local length = self.SharpLength * owner.SharpAimProgress * self.FlipFactor;
			local drawPos = self.MuzzlePos + Vector(length, -spread):RadRotate(self.RotAngle);
			local otherPos = self.MuzzlePos + Vector(length, spread):RadRotate(self.RotAngle);
			PrimitiveMan:DrawLinePrimitive(controller.Player, drawPos, drawPos, 118);
			PrimitiveMan:DrawLinePrimitive(controller.Player, otherPos, otherPos, 118);
		end
		if MovableMan:IsActor(owner) and controller and controller:IsState(Controller.BODY_CROUCH) and controller:IsState(Controller.AIM_SHARP) and owner.Vel.Magnitude < 10 then
			self.SharpLength = self.origSharpLength * (1 + math.sin(-owner.RotAngle * owner.FlipFactor));
			self.RateOfFire = self.origRateOfFire * 1.1;
		else
			self.SharpLength = self.origSharpLength;
			self.RateOfFire = self.origRateOfFire;
		end
	else
		owner = nil;
		self.SharpLength = self.origSharpLength;
		self.RateOfFire = self.origRateOfFire;
	end

	if self.Magazine then
		if self.loadedShell == false then
			self.ammoCounter = self.Magazine.RoundCount;
		else
			self.loadedShell = false;
			self.Magazine.RoundCount = self.ammoCounter + 1;
		end
	else
		self.reloadTimer:Reset();
		self.reloadCycle = true;
		self.loadedShell = true;
	end

	if self:IsActivated() then
		self.reloadCycle = false;
	end

	if self.reloadCycle == true and self.reloadTimer:IsPastSimMS(self.reloadDelay) and self:IsFull() == false then
		if owner then
			owner:GetController():SetState(Controller.WEAPON_RELOAD, true);
		end
		self.reloadCycle = false;
	end
end