function Create(self)
end
function Update(self)
	self.AngularVel = (self.AngularVel - self.Vel.X * 0.1) * 0.9;
	if self.fuze then

		local velNum = math.ceil(math.sqrt(self.Vel.Magnitude));
		for i = 1, velNum do
			local trail = CreateMOPixel("Black Hole Grenade Trail Glow");
			trail.Pos = self.Pos - Vector(self.Vel.X, self.Vel.Y):SetMagnitude(i-1);
			MovableMan:AddParticle(trail);
		end
		local glow = CreateMOPixel("Black Hole Grenade Trail Glow 2");
		glow.Pos = self.Pos + Vector(self.Vel.X, self.Vel.Y):SetMagnitude(velNum);
		MovableMan:AddParticle(glow);

		if self.fuze:IsPastSimMS(3500) then
			self:MoveOutOfTerrain(20);	-- This seems to help hit the enemy
			self:GibThis();
		end
	elseif self:IsActivated() then
		self.fuze = Timer();
		self.GibWoundLimit = self.GibWoundLimit * 2;
	end
	-- "Dead man's switch"
	if self.martydom and self.ID ~= rte.NoMOID then
		if self.RootID == self.ID then
			self:Activate();
		end
	end
	-- Different conditions to trigger the switch
	if self:GetParent() or self.ID == rte.NoMOID or self.WoundCount > 0 then
		self.martydom = true;
	end
end