function Create(self)
	self.fuzeDelay = 4700;
end
function Update(self)
	if self.fuze then
		if not self.fuze:IsPastSimMS(self.fuzeDelay) then
			local spark = CreateMOPixel("Spark Yellow ".. math.random(2), "Base.rte");
			local offset = Vector(0, -3):RadRotate(self.RotAngle);
			local angle = RangeRand(-0.3, 0.3);
			local timeFactor = self.fuze.ElapsedSimTimeS * 0.5;
			spark.Pos = self.Pos + offset;
			spark.Vel = self.Vel + offset:RadRotate(angle):SetMagnitude(10/(1 + math.abs(angle) + timeFactor));
			spark.Lifetime = 1 + math.random(75, 150)/(1 + timeFactor);
			MovableMan:AddParticle(spark);
		end
	elseif self:IsActivated() then
		self.fuze = Timer();
	end
end