function OnCollideWithMO(self, mo, rootMO)
	local part = CreateMOPixel("Antimatter", "4zK.rte");
	part.Pos = self.PrevPos;
	part.Vel = Vector(self.PrevVel.X, self.PrevVel.Y) * 1.5;
	part.Sharpness = 1 + mo.Material.StructuralIntegrity/math.max(self.PrevVel.Magnitude * part.Mass);
	MovableMan:AddParticle(part);
	PrimitiveMan:DrawLinePrimitive(self.Pos, self.PrevPos, 225);
	self.Lifetime = self.Lifetime - 10;
end
function OnCollideWithTerrain(self, terrainID)
	local lifeRatio = 1 - (self.Lifetime/self.Age) * 0.5;
	local part = CreateMOPixel("Antimatter", "4zK.rte");
	part.Pos = self.PrevPos;
	part.Vel = Vector(self.PrevVel.X, self.PrevVel.Y):RadRotate(RangeRand(-0.1, 0.1)) * 2;
	part.Sharpness = 1 + SceneMan:GetMaterialFromID(terrainID).StructuralIntegrity/math.max(self.PrevVel.Magnitude * part.Mass) * lifeRatio;
	MovableMan:AddParticle(part);
	PrimitiveMan:DrawLinePrimitive(self.Pos, self.PrevPos, 225);
	self.Lifetime = self.Lifetime - 20;
end