function Create(self)
	self.fuzeDelay = 2000;
	self.fuzeDecreaseIncrement = 50;
end
function Update(self)
	if self.fuze then
		if self.fuze:IsPastSimMS(self.fuzeDelay) then
			if self.inventory then
				self.inventory.Pos = self.Pos;
				self.inventory.Vel = self.Vel * 0.5 + Vector(0, -5);
				MovableMan:AddActor(self.inventory);
				self:GibThis();
			else
				self:Deactivate();
				self.fuze = nil;
			end
		end
		--Diminish fuze length on impact
		if self.TravelImpulse.Magnitude > 1 then
			self.fuzeDelay = self.fuzeDelay - self.TravelImpulse.Magnitude * self.fuzeDecreaseIncrement;
		end
	elseif self:IsActivated() then
		self.fuze = Timer();
	else
		self.Frame = 0;
	end
end
function OnCollideWithMO(self, collidedMO, collidedRootMO)
	if self:IsActivated() and collidedRootMO and IsActor(collidedRootMO) then
		self.inventory = ToActor(collidedRootMO:Clone());
		collidedRootMO.ToDelete = true;
		self.Frame = 1;

		self:Deactivate();
		self.fuze = nil;
	end
end