function Create(self)
	self.Lifetime = self.Lifetime * RangeRand(0.5, 1.0);
	self.AirResistance = self.AirResistance * RangeRand(0.5, 1.0);
end
function Update(self)
	local ageRatio = self.Lifetime > 1 and self.Age/self.Lifetime or 1;
	self.GlobalAccScalar = ageRatio;
	if self.Age > self.Lifetime - TimerMan.DeltaTimeMS then
		local smoke = CreateMOSParticle("Side Thruster Blast Ball 1 Glow", "Base.rte");
		smoke.Pos = self.Pos;
		smoke.Vel = self.Vel * 0.5 + Vector(0, -1);
		smoke.Team = self.Team;
		smoke.IgnoresTeamHits = true;
		MovableMan:AddParticle(smoke);
		
		self.ToDelete = true;
	end
end