function Create(self)
	self.power = 15;

	self.origMass = self.Mass;
	
	self.ringSound = CreateSoundContainer("Nokia Tune", "4zK.rte");
	
	NokiaTuneTimer = NokiaTuneTimer or Timer();
end
function Update(self)
	if self.ringSound:IsBeingPlayed() then self.ringSound.Pos = self.Pos; end
	
	self.AngularVel = self.AngularVel/(1 + self.Vel.Magnitude * 0.001);
	
	if not self:GetParent() then
		--self.StartThrowOffset = 
		if self.thrown == false then
			self.AngularVel = self.AngularVel - self.Vel.Magnitude * self.FlipFactor;
			if NokiaTuneTimer:IsPastSimMS(5000) then
				self.ringSound:Play(self.Pos);
				NokiaTuneTimer:Reset();
			end
			self.thrown = true;
			self.Mass = self.origMass * self.power;
		elseif self.Vel.Magnitude + math.abs(self.AngularVel) < 2 then
			self:Deactivate();
		end
	else
		self.thrown = false;
		self.Mass = self.origMass;
	end
	self:RemoveWounds(1);
end
function OnCollideWithMO(self, mo, rootMO)
	local mass = math.max(mo.Mass, 1);
	local force = self.PrevVel * self.Mass * math.sqrt(mass);
	mo:AddForce(force, Vector());
	if force.Magnitude > mo.GibImpulseLimit then
		mo.Vel = mo.Vel + force/mass;
		mo:GibThis();
	end
	self.Vel = (self.Vel - self.PrevVel) * 0.5;
end