function Create(self)
	self.fireVel = 30;
end
function Update(self)
	if self.FiredFrame then
		local actor = MovableMan:GetMOFromID(self.RootID);
		if actor and IsActor(actor) then
			local parent = ToActor(actor);
			local factor = 1 - 1/(math.sqrt(math.abs(parent.Mass) + 1)/math.sqrt(parent.Vel.Magnitude + 1));
			
			parent.Vel = parent.Vel * factor + Vector(self.fireVel * self.FlipFactor, 0):RadRotate(self.RotAngle);
			parent.AngularVel = parent.AngularVel * factor;
			parent.RotAngle = self.RotAngle - math.pi * 0.5 * self.FlipFactor;
		else
			self.Vel = self.Vel * 0.5 + Vector(self.fireVel * self.FlipFactor, 0):RadRotate(self.RotAngle);
		end
	end
end