function Create(self)
	self.explosion = self:Clone();
	local parent = ToMOSRotating(self:GetRootParent());
	self.prevImpulse = parent.TravelImpulse.Magnitude;
	self.initLimit = parent.GibImpulseLimit;
end
function Update(self)
	local parent = ToMOSRotating(self:GetRootParent());
	if not parent.ToDelete then
		parent.ToSettle = false;
		self.prevImpulse = parent.TravelImpulse.Magnitude;
		local lifeRatio = self.Lifetime > 0 and (self.Age + TimerMan.DeltaTimeMS)/self.Lifetime or 0;
		if lifeRatio > 1 or parent.TravelImpulse.Magnitude > self.prevImpulse * 2 then
			parent:GibThis();
		else
			parent.GibImpulseLimit = self.initLimit * (1 - lifeRatio);
		end
	end
end
--[[
function Destroy(self)
	self.explosion.Pos = self.Pos;
	MovableMan:AddParticle(self.explosion);
	self.explosion:GibThis();
end
]]--