function Update(self)
	local parent = self:GetParent();
	if parent and (IsAHuman(parent) or IsACrab(parent)) then
		parent = IsAHuman(parent) and ToAHuman(parent) or ToACrab(parent);
		local controller = parent:GetController();
        --Set jetpack angle as it is found in the source
		self.EmitAngle = math.pi * 1.375 + parent:GetAimAngle(false) * 0.25;
		if controller:IsState(Controller.BODY_JUMPSTART) then
			self:TriggerBurst();
			parent.JetTimeLeft = parent.JetTimeLeft - TimerMan.DeltaTimeMS * 10;
		end
		if parent.JetTimeLeft > 0 and controller:IsState(Controller.BODY_JUMP) then
			self:EnableEmission(true);
			parent.JetTimeLeft = math.max(parent.JetTimeLeft - TimerMan.DeltaTimeMS, 0);
		else
			self:EnableEmission(false);
			parent.JetTimeLeft = math.min(parent.JetTimeLeft + TimerMan.DeltaTimeMS * 2, parent.JetTimeTotal);
		end
	else
		self:EnableEmission(false);
	end
end