function OnCollideWithMO(self, mo, rootMO)
	self.PinStrength = 1;
	self.ToSettle = true;
end
function OnCollideWithTerrain(self, materialID)
	local gapPos = Vector(self.Pos.X, self.Pos.Y);
	local checkPos = self.PrevPos + Vector(self.PrevVel.X, self.PrevVel.Y) * rte.PxTravelledPerFrame;
	--Fill gaps in terrain
	if SceneMan:GetTerrMatter(checkPos.X, checkPos.Y) ~= rte.airID and SceneMan:CastWeaknessRay(self.Pos, Vector(self.PrevVel.X, self.PrevVel.Y) * rte.PxTravelledPerFrame, 10, gapPos, 1, SceneMan.SceneWrapsX) then
		self.Pos = gapPos;
		self.PinStrength = 1;
		self.ToSettle = true;
	end
end