function Create(self)
	self.Frame = math.random(self.FrameCount - 1);
	self.SpriteOffset = Vector(ToMOSprite(self):GetSpriteWidth()/(-2), ToMOSprite(self):GetSpriteHeight()/(-2));
	self.growTime = self.RestThreshold * 0.5;
	self.growTimer = Timer();
	self.angularVel = 0;
	self.RotAngle = RangeRand(-0.5, 0.5);
end
function Update(self)
	if self.Scale == 1 then
		self.PinStrength = 0;
		self.ToSettle = true;
		self:DisableScript("4zK.rte/Devices/Weapons/Earthball/Plant.lua");
	elseif self.TravelImpulse.Magnitude > 0 or self.PinStrength > 0  then
		self.AngularVel = 0;
		self.PinStrength = 100;
		local ratio = math.max(math.min(self.growTimer.ElapsedSimTimeMS/self.growTime, 1), 0.1);
		self.Scale = ratio;
		local sin = math.sin(self.RotAngle * 0.5);
		local reverseRatio = 1 - ratio * 0.1;
		self.angularVel = self.angularVel * reverseRatio - sin;
		self.RotAngle = self.RotAngle + self.angularVel * TimerMan.DeltaTimeSecs * reverseRatio;
		if ratio == 1 then
			self.PintStrength = 0;
			self.ToSettle = true;
			if math.random() < 0.01 then
				local cabbage = CreateHeldDevice("Cabbage");
				cabbage.Pos = self.Pos;
				MovableMan:AddItem(cabbage);
			end
		end
	else
		self.growTimer:Reset();
	end
end