function Create(self)
	self.velMag = self.Vel.Magnitude;
	if self.PinStrength ~= rte.NoMOID then
		self.targetActor = MovableMan:GetMOFromID(self.PinStrength);
	end
	self.PinStrength = 0;
end
function Update(self)
	if self.targetActor and MovableMan:IsActor(self.targetActor) then
		local hitPos = Vector(self.Pos.X, self.Pos.Y);
		local checkPos = Vector(self.Pos.X, self.Pos.Y);
		local dist = SceneMan:ShortestDistance(checkPos, self.targetActor.Pos, SceneMan.SceneWrapsX);
		local trace = dist;
		local ray = SceneMan:CastObstacleRay(checkPos, trace, Vector(), hitPos, self.targetActor.ID, self.Team, rte.airID, 5);
		if ray >= 0 then
			dist:SetMagnitude(ray - 1);
			local checkCount = 5;
			for i = 0, checkCount do
				--local angle = math.pi * 0.5 - math.pi * (i/checkCount);
				local angle = math.pi * 0.5 * RangeRand(-1, 1);
				trace = Vector(dist.X, dist.Y):RadRotate(angle);
				ray = SceneMan:CastObstacleRay(self.Pos, trace, Vector(), hitPos, self.targetActor.ID, self.Team, rte.airID, 5);
				if ray < 0 then
					self.Vel = trace/rte.PxTravelledPerFrame;
					break;
				end
			end
		else
			self.Vel = Vector(dist.X, dist.Y):SetMagnitude(self.velMag);
		end
	end
end
function OnCollideWithTerrain(self, terrainID)
end