function OnDetach(self, exParent)
	local shellsToEject = self.Capacity - self.RoundCount;
	for i = 1, shellsToEject do
		local shell = CreateMOSParticle("Base.rte/Shell");
		shell.Pos = exParent.Pos;
		shell.Vel = exParent.Vel + Vector(RangeRand(-3, 0) * exParent.FlipFactor, 0):RadRotate(exParent.RotAngle + RangeRand(-0.3, 0.3));
		shell.AngularVel = RangeRand(-1, 1);
		MovableMan:AddMO(shell);
	end
	if IsHDFirearm(exParent) then
		ToHDFirearm(exParent).ReloadTime = 1000 * shellsToEject/self.Capacity;
	end
	self.ToDelete = true;
end