function Create(self)
	self.activity = ActivityMan:GetActivity();
	self.strength = self.PinStrength;
	self.Lifetime = self.strength;
	self.range = self.strength;
end
function Update(self)
	local strength = self.strength * (self.Lifetime > 0 and 1 - self.Age/self.Lifetime or 1);
	for player = Activity.PLAYER_1, Activity.MAXPLAYERCOUNT - 1 do
		if self.activity:PlayerActive(player) and self.activity:PlayerHuman(player) then
			local screen = self.activity:ScreenOfPlayer(player);
			local scrollTarget = SceneMan:GetScrollTarget(screen);
			local dist = SceneMan:ShortestDistance(self.Pos, scrollTarget, SceneMan.SceneWrapsX);
			if dist.Magnitude < self.range then
				SceneMan:SetScrollTarget(scrollTarget + Vector(strength * (dist.Magnitude/self.range), 0):RadRotate(math.pi * 2 * math.random()), 0.1, false, screen);
			end
		end
	end
end