Crosshair = {};
id = 0;
------------
id = id + 1;
Crosshair[id] = {line = {}, circle = {}, square = {}};
Crosshair[id].line[#Crosshair[id].line + 1] = {Vector(0, -6), Vector(0, -3)};
Crosshair[id].line[#Crosshair[id].line + 1] = {Vector(0, 6), Vector(0, 3)};
Crosshair[id].line[#Crosshair[id].line + 1] = {Vector(-6, 0), Vector(-3, 0)};
Crosshair[id].line[#Crosshair[id].line + 1] = {Vector(6, 0), Vector(3, 0)};
Crosshair[id].circle[#Crosshair[id].circle + 1] = {offset = Vector(), radius = 4, color = 13};
------------
id = id + 1;
Crosshair[id] = {line = {}, circle = {}, square = {}};
Crosshair[id].line[#Crosshair[id].line + 1] = {Vector(6, -6), Vector(3, -3), color = 5};
Crosshair[id].line[#Crosshair[id].line + 1] = {Vector(-6, 6), Vector(-3, 3), color = 5};
Crosshair[id].line[#Crosshair[id].line + 1] = {Vector(-6, -6), Vector(-3, -3), color = 5};
Crosshair[id].line[#Crosshair[id].line + 1] = {Vector(6, 6), Vector(3, 3), color = 5};
Crosshair[id].circle[#Crosshair[id].circle + 1] = {offset = Vector(-12, 0), radius = 6};
Crosshair[id].circle[#Crosshair[id].circle + 1] = {offset = Vector(12, 0), radius = 6};
------------
function DrawCrosshair(screen, pos, id, color)
	if Crosshair[id] then
		if Crosshair[id].line then
			for _, lineSet in pairs(Crosshair[id].line) do
				for i = 1, #lineSet - 1 do
					PrimitiveMan:DrawLinePrimitive(screen, pos + lineSet[i], pos + lineSet[i + 1], (lineSet.color or color));
				end
			end
		end
		if Crosshair[id].circle then
			for _, circle in pairs(Crosshair[id].circle) do
				PrimitiveMan:DrawCirclePrimitive(screen, pos + (circle.offset or Vector()), circle.radius, (circle.color or color));
			end
		end
	end
end