function Create(self)
	self.updateTimer = Timer();
	self.updateTimer:SetRealTimeLimitMS(250);

	local c1, d1, e1, f1, g1, a1, b1 = 0.5,	1-0.43877,	1-0.37004,	1-0.33258,	1-0.25085,	1-0.15910,	1-0.05613;
	local fs1 = 1-0.29289;	--Sharp
	local c2, d2, e2, f2, g2, a2, b2 = 1,	1.12246,	1.25992,	1.33484,	1.49831,	1.68179,	1.88775;
	local c3 = 2;	--Maximum(?)
	local p = 0;
	self.stems = {};

	self.stems[1] = {counter =
					{c2, p,
	
					g2, e2, e2, p, d2, c2, c2, f2,
					p, e2, e2, d2, d2, c2, p, c2,
					g2, e2, e2, d2, d2, c2, c2, a1,
					p, g1, p, p, p, p, c2, c2,
					
					g2, e2, e2, d2, d2, c2, c2, f2,
					p, e2, e2, d2, d2, c2, c2, g2,
					p, e2, e2, d2, p, c2, c2, d2,
					p, a1, p}	--...
					, sample = CreateSoundContainer("HumanPain4.flac")};

	self.stems[2] = {counter =
					{p, p,
	
					c1, p, p, fs1, g1, p, p, a1,
					d1, p, p, e1, f1, p, p, g1,
					c1, p, p, fs1, g1, p, p, a1,
					d1, p, p, e1, f1, p, p, g1,

					c1, p, p, fs1, g1, p, p, a1,
					d1, p, p, e1, f1, p, p, g1,
					c1, p, p, fs1, g1, p, p, a1,
					d1, p, p, e1, f1, p, p, g1}
					, sample = CreateSoundContainer("HumanPain4.flac")};
	self.counter = 0;
end
function Update(self)
	if self.updateTimer:IsPastRealTimeLimit() then
		self.updateTimer:Reset();
		self.counter = self.counter + 1;
		if self.counter > #self.stems[1].counter then
			self.ToDelete = true;
		else
			for _, stem in pairs(self.stems) do
				if stem and stem.counter[self.counter] ~= 0 then
					stem.sample.Pitch = stem.counter[self.counter];
					stem.sample:Play(self.Pos);
				end
			end
		end
	end
end