function Update(self)
	local reach = self.IndividualRadius;
	local reachPoint = self.Pos;

	if self.FGArm and self.Status == Actor.STABLE then
		reach = reach + self.FGArm.MaxLength;
		reachPoint = self.FGArm.Pos;
		if self.ItemInReach then
			local dist = SceneMan:ShortestDistance(reachPoint, self.ItemInReach.Pos, true);
			dist:SetMagnitude(reach + self.ItemInReach.Radius);
			PrimitiveMan:DrawLinePrimitive(reachPoint, reachPoint + dist, 5);
			
			--local itemMOID = SceneMan:CastMORay(reachPoint, Vector((m_HFlipped and -reach or reach) * math.random(), RangeRand(0.0, reach)), self.ID, Activity.NOTEAM, rte.grassID, true, 2);
			PrimitiveMan:DrawLinePrimitive(reachPoint, reachPoint + Vector((m_HFlipped and -reach or reach) * math.random(), RangeRand(0.0, reach)), 13);
		end
	end
end